/**
*Resource Monitor App
* Defined an app for Resource Monitor
*/
var ResourceMonitorApp = ResourceMonitorApp || {};  //Define Resource Monitor App namespace.
/**
*Constructor UNAS App*/
ResourceMonitorApp.App = function () {
	this.id = 'Resource Monitor';
	this.name = 'Resource Monitor';
	this.version = '6.0.6';
	this.active = false;
	this.menuIcon = '/apps/resourcemonitor/images/logo.png?v=6.0.6&';
	this.shortcutIcon = '/apps/resourcemonitor/images/logo.png?v=6.0.6&';
    this.entryUrl = '/apps/resourcemonitor/index.php?v=6.0.6&';
	var self = this;
	this.ResourceMonitorAppWindow = function () { //create app window
	 self.window=new MUI.Window({
			id: 'ResourceMonitorAppWindow',
			title: UNAS._('Resource Monitor'),
			icon: '/apps/resourcemonitor/images/logo_small.png?v=6.0.6&',
			width: 1000,
			height: 700,
			maximizable: true,
			resizable: true,
			scrollbars: false,
			loadMethod: 'iframe',
			//resizeLimit: { 'x': [800, 900], 'y': [400, 500] },
			contentURL: '/apps/resourcemonitor/index.php'
			//require: {  css: ['/apps/ResourceMonitor/css/easysetup.css'] }
		});
	};
	this.ResourceMonitorAppUninstall = function () {
    	UNAS.RemoveDesktopShortcut('Resource Monitor');
    	UNAS.RemoveMenu('Resource Monitor');
    	UNAS.RemoveAppFromGroups('Resource Monitor', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('Resource Monitor', 'Help');
    	UNAS.RemoveAppFromApps('Resource Monitor');
	};
	new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Resource Monitor', '', this.ResourceMonitorAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Resource Monitor', this.ResourceMonitorAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 8, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetShortcutTitle('Resource Monitor', UNAS._('Resource Monitor'));
    	UNAS.SetMenuTitle('Resource Monitor', UNAS._('Resource Monitor'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('ResourceMonitorAppWindow', UNAS._('Resource Monitor'));
        }
    };
    UNAS.LoadTranslation('/apps/resourcemonitor/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name, this.shortcutIcon, this.ResourceMonitorAppWindow, this.ResourceMonitorAppUninstall);
};

new ResourceMonitorApp.App();